//Copyright (C) Man Machine Interfaces 1994. All rights reserved.

//graphind.h
//Auto decoded binary individual
#ifndef __GRAPHIND_H
#define __GRAPHIND_H

#include "binind.h"

class CGraphDrawingInd : public TBinaryIndividual
{
	char m_Decoded ;
	
public:

	CGraphDrawingInd() ;
	CGraphDrawingInd(PTBinaryGenotype geno, PTPhenotype pheno) ;
	CGraphDrawingInd(CGraphDrawingInd * parent1, CGraphDrawingInd * parent2) ;
	CGraphDrawingInd(const CGraphDrawingInd &individ) ;
	const CGraphDrawingInd & operator =(const CGraphDrawingInd &individ) ;
	void CopyFrom(CGraphDrawingInd * source) ;
	PTIndividual Copy() ;
	void GetPhenoInfo(void *pInfoStruct) ;
	const void * GetPhenoInfo(int key) ;
	void Decode() ;    
	void CalcFitness() ;
} ;

#endif //__GRAPHIND_H
